Close and Delete Location Resource
API Description
Close and "soft" delete a location resource in a single operation. The service sets the location's locationStatus to CLOSED with the current date as closedDate, publishes the closed status, and then deletes the location resource.
note
Use this operation to record that a location has permanently closed before removing it. To delete a location resource without recording a closure, use Delete.
Request
URI Parameters
| Name | Input |
|---|---|
orgId | |
locationId |
Path Template
DELETE {url}/api/{version}/orgs/{orgId}/locations/{locationId}/close-and-delete
Path Example
DELETE {url}/api/v1/orgs/9467895078742654934/locations/9467895078742654976/close-and-delete
Request Headers
| Name | Input |
|---|---|
Authorization | |
If-Match |
Example Request Headers
Authorization: Bearer <access_token>
If-Match: "0180fa70-ddd3-11ec-aefa-dba0e1169c81"
Request Body
None
Response
204 No Content (Success) or Error
Response Headers
| Name |
|---|
etag |
apple-request-id |
Example Response Headers
HTTP/1.1 204 No Content
apple-request-id: ce752d22-1284-4196-a448-0a9d1df04603
etag: "02cdc510-ddd9-11ec-b14c-f730e115f377"
Response Body
None